vue-cli 3.0 填坑尝试

原创 ShanaFang 随笔 基础知识 227阅读 2018-08-31 18:04:43 举报

1、安装vue-cli 3.0

之前用的是node 8.0.0,vue-cli 2.0.所以先要升级node,vue-cli 3.0需要node >= 8.9,所以在这里尝试升级node。

node升级

我用nvm管理node版本(尝试过用n模块,但是失败),nvm墙裂推荐,切换node版本很方便。node更新完之后,再更新npm版本。

nvm install node v10.9.0
node -v
npm install -g npm
npm -v

安装vue-cli 3.0

npm install -g @vue/cli
vue -V

-V查看版本号是否已经是3.0,显示版本就算已经安装成功。

创建项目

vue create project-name
cd project-name

生成的项目文件目录:

相比较vue-cli 2.0 ,cli3.0没有build和config了。想要配置的话,需要在项目根目录下创建vue.config.js文件。

npm run serve

(之后更新配置webpack)

评论 ( 0 )
最新评论
暂无评论

赶紧努力消灭 0 回复